• Login
sketchucation logo sketchucation
  • Login
🤑 30% Off | Artisan 2 on sale until April 30th Buy Now

[Plugin] Script selects the line or face.(UPDATED 15/02/16)

Scheduled Pinned Locked Moved Plugins
26 Posts 15 Posters 21.5k Views
Loading More Posts
  • Oldest to Newest
  • Newest to Oldest
  • Most Votes
Reply
  • Reply as topic
Log in to reply
This topic has been deleted. Only users with topic management privileges can see it.
  • S Offline
    snakeysnape
    last edited by 7 Mar 2014, 19:52

    Hi All,

    I wonder if anybody else is experiencing it, but this plug-in don't work for me when I use it with SU 2014. Previously in SU8 with select face toggled on even if I triple click a model only face would be selected as expected but for SU2014 edges are included in the selection.
    I hope this gets resolved, as its been a real helpful plugin for me.

    1 Reply Last reply Reply Quote 0
    • S Offline
      sdmitch
      last edited by 9 Mar 2014, 16:39

      I have experienced the same results. Works perfectly in SU8 but fails in SU2014 with no errors reported in the Ruby Console.

      Nothing is worthless, it can always be used as a bad example.

      http://sdmitch.blogspot.com/

      1 Reply Last reply Reply Quote 0
      • C Offline
        cotty
        last edited by 9 Mar 2014, 17:36

        @snakeysnape said:

        I hope this gets resolved, as its been a real helpful plugin for me.

        Until then, you can use Thomthoms selections toys as an alternative for this task.

        my SketchUp gallery

        1 Reply Last reply Reply Quote 0
        • S Offline
          sdmitch
          last edited by 9 Mar 2014, 17:51

          The code

          edges=sel.grep(Sketchup;;Edge); sel.clear; sel.add edges
          

          works in SU2014 but causes a stack error that crashes SU8.

          Nothing is worthless, it can always be used as a bad example.

          http://sdmitch.blogspot.com/

          1 Reply Last reply Reply Quote 0
          • D Offline
            driven
            last edited by 9 Mar 2014, 19:45

            @sdmitch said:

            The code...
            works in SU2014 but causes a stack error that crashes SU8.

            on mac both

            sel=Sketchup.active_model.selection
            edges=sel.grep(Sketchup;;Edge).to_a; sel.clear; sel.add edges
            
            sel=Sketchup.active_model.selection
            edges=sel.grep(Sketchup;;Edge); sel.clear; sel.add edges
            

            work in v8 and v2014

            learn from the mistakes of others, you may not live long enough to make them all yourself...

            1 Reply Last reply Reply Quote 0
            • S Offline
              sdmitch
              last edited by 9 Mar 2014, 20:08

              Apparently my v8 is different because it still crashes with that addition.

              Nothing is worthless, it can always be used as a bad example.

              http://sdmitch.blogspot.com/

              1 Reply Last reply Reply Quote 0
              • D Offline
                driven
                last edited by 9 Mar 2014, 20:12

                my test file had less than 2000 edges so is it a limit?
                john

                learn from the mistakes of others, you may not live long enough to make them all yourself...

                1 Reply Last reply Reply Quote 0
                • S Offline
                  sdmitch
                  last edited by 10 Mar 2014, 00:00

                  No I was using a small sample consisting of 3 or 4 faces.

                  I did find a solution that works in both SU8 and SU2014 and that was to remove the observer before processing the selection and add it back after while using the selection processing code previously posted.

                  	def onSelectionBulkChange(selection)
                  		Sketchup.active_model.selection.remove_observer self
                  		get_selection_edge(selection) if(@select_edge)
                  		# get_selection_edge_smooth(selection) if(@edge_smooth)
                  		get_selection_face(selection) if(@select_face)
                  		Sketchup.active_model.selection.add_observer self
                  	end
                  
                  

                  Nothing is worthless, it can always be used as a bad example.

                  http://sdmitch.blogspot.com/

                  1 Reply Last reply Reply Quote 0
                  • S Offline
                    snakeysnape
                    last edited by 10 Mar 2014, 09:33

                    Hi Sdmitch,

                    Sorry but can you post the fixed plugin in here? I am confused as to where to put the selection code.

                    thanks

                    1 Reply Last reply Reply Quote 0
                    • S Offline
                      sdmitch
                      last edited by 10 Mar 2014, 14:03

                      @snakeysnape said:

                      Hi Sdmitch,

                      Sorry but can you post the fixed plugin in here? I am confused as to where to put the selection code.

                      thanks

                      With apologies to Sahi.


                      selection_edge.rb

                      Nothing is worthless, it can always be used as a bad example.

                      http://sdmitch.blogspot.com/

                      1 Reply Last reply Reply Quote 0
                      • S Offline
                        snakeysnape
                        last edited by 12 Mar 2014, 05:31

                        Thanks sdmitch,

                        Thanks also to Sahi hope you don't feel bad we've 'hijacked' your plugin.

                        1 Reply Last reply Reply Quote 0
                        • topic:timeago-later,4 months
                        • P Offline
                          Pu
                          last edited by 9 Jul 2014, 21:06

                          not work. (sketchup 2014)

                          1 Reply Last reply Reply Quote 0
                          • topic:timeago-later,6 months
                          • C Offline
                            clausgs
                            last edited by 23 Dec 2014, 05:24

                            @sahi said:

                            The script selects the line or face.

                            The first icon >> click on it - and only the lines stand out >> again click on it >> disables script

                            The second icon >> click on it - and distinguished only by persons >> again click on it deactivates the script >>
                            [attachment=0:7ckaz2yc]<!-- ia0 -->selection_edge.zip<!-- ia0 -->[/attachment:7ckaz2yc]

                            Hi Sahi

                            Have used this plugin for a long time, but now it do not work in SU 2015 ?
                            Can you fix that?

                            Thanks for your great support...
                            Claus
                            ClausGS

                            Posts: 17
                            Joined: 20 Jun 2009 10:12

                            1 Reply Last reply Reply Quote 0
                            • D Offline
                              driven
                              last edited by 23 Dec 2014, 13:11

                              @Claus,

                              if you open the file in notepad++ and find and replace...

                              if you have the original version

                               sel.each
                              

                              to

                               sel.to_a.each
                              

                              or if you have sdmitch [faster] version

                              sel.grep
                              

                              to

                              sel.to_a.grep
                              

                              this works in v2015 for me...
                              john

                              learn from the mistakes of others, you may not live long enough to make them all yourself...

                              1 Reply Last reply Reply Quote 0
                              • topic:timeago-later,19 days
                              • H Offline
                                HirokaMatsuiko2015
                                last edited by 11 Jan 2015, 12:30

                                thank you for this tool im using it right now

                                if its possible to request
                                add shortcut keys with toggling selection tool

                                right now when paradigm or changing between tools i need to hit ( Face Select > Spacebar ) or ( Edge Select > Spacebar )

                                i think its more convenient in one keys
                                like for example if hit X key it will also toggle the selection keys

                                similar to other 3D software

                                1 Reply Last reply Reply Quote 0
                                • topic:timeago-later,about a year
                                • S Offline
                                  sahi
                                  last edited by 14 Feb 2016, 22:35

                                  Updated the plug-in in the first message

                                  1 Reply Last reply Reply Quote 0
                                  • 1
                                  • 2
                                  • 1 / 2
                                  1 / 2
                                  • First post
                                    20/26
                                    Last post
                                  Buy SketchPlus
                                  Buy SUbD
                                  Buy WrapR
                                  Buy eBook
                                  Buy Modelur
                                  Buy Vertex Tools
                                  Buy SketchCuisine
                                  Buy FormFonts

                                  Advertisement